Module java.desktop
Package javax.swing.text.html

## Class HTMLDocument.HTMLReader.BlockAction

- java.lang.Object
- - javax.swing.text.html.HTMLDocument.HTMLReader.TagAction
  - - javax.swing.text.html.HTMLDocument.HTMLReader.BlockAction

- Direct Known Subclasses:
    `HTMLDocument.HTMLReader.ParagraphAction`, `HTMLDocument.HTMLReader.PreAction`
  Enclosing class:
    HTMLDocument.HTMLReader

      public class HTMLDocument.HTMLReader.BlockAction
      extends HTMLDocument.HTMLReader.TagAction

  Action assigned by default to handle the Block task of the reader.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlockAction()` |

  - ### Method Summary

    - ### Methods declared in class javax.swing.text.html.HTMLDocument.HTMLReader.TagAction

      `end, start`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockAction

          public BlockAction()